Name:		chessx
Version:	1.4.6
Release:	%mkrel 1

Summary:	Chess database
Group:		Games/Boards
License:	GPLv2
URL:		http://chessx.sourceforge.net/?q=node/3
Source0:	http://sourceforge.net/projects/chessx/files/%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
#BuildRequires:	qt4-devel 
BuildRequires:	qtbase5-devel
BuildRequires:	qtsvg5-devel
BuildRequires:	qtmultimedia5-devel
BuildRequires:	qthelp5-devel

%description
ChessX is a chess database application with a graphical user interface.
With it you can browse databases of chess games, edit games and search for
games by various criteria. ChessX can read PGN files.

%prep
%setup -q


%build
%qmake_qt5 %{name}.pro

%make 


%install
rm -rf %{buildroot}

install -m 755 release/%{name} -D %{buildroot}%{_gamesbindir}/%{name}


install -d -m 644 data -D %{buildroot}%{_gamesdatadir}/%{name}/data
install -d -m 644 i18n %{buildroot}%{_gamesdatadir}/%{name}/i18n

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ChessX
Comment=Chess database
Exec=%{name}
Icon=%{_datadir}/icons/large/boards_section.png
Terminal=false
Type=Application
Categories=Game;BoardGame;X-MandrivaLinux-MoreApplications-Games-Boards;
MimeType=application/x-chess-pgn;
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README.* TODO ChangeLog COPYING  
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}


%changelog
* Fri Dec 29 2017 ghostbunny <ghostbunny at gmx dot de> 1.4.6-1pclos2018
- 1.4.6

* Mon Jul 29 2013 Ken <lxgator at gmail.com> 0.9.6-1pclos2013
- initial build
